%global pypi_name requests
%global commitId 61c324da43dd8b775d3930d76265538b3ca27bc1

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        2.28.2
Release:        1%{?dist}
Summary:        Python HTTP for Humans

License:        Apache-2.0
URL:            https://github.com/psf/requests
Source0:        python-requests-61c324da43dd8b775d3930d76265538b3ca27bc1.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description \
Requests is a simple, yet elegant, HTTP library.

%description
%{_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       python%{python3_pkgversion}-certifi >= 2017.4.17
Requires:       python%{python3_pkgversion}-charset-normalizer >= 2
Requires:       python%{python3_pkgversion}-charset-normalizer < 4
Requires:       python%{python3_pkgversion}-idna < 4
Requires:       python%{python3_pkgversion}-idna >= 2.5
Requires:       python%{python3_pkgversion}-urllib3 < 1.27
Requires:       python%{python3_pkgversion}-urllib3 >= 1.21.1

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Apr 03 2023 Satoe Imaishi <simaishi@redhat.com> - 2.28.2-1
- Initial build
